<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@cu 				CU-SA-AC-154 Solicitar suspensión cancelación o ampliación de tiempos
@MB					SolicitudSuspencionCancelacionAmpliacionDeTiemposMB

-->

<h:form id="solicitarSuspencionCancelacionAmpliacionTiemposForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <p:messages id="msgsSSCAT" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="No. solicitud:" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSolicitud}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{solicitudCanSusAmplTiempos.avaluo.tramite.solicitud.numero}">
                <f:setPropertyActionListener
                    value="#{solicitudCanSusAmplTiempos.avaluo.tramite.solicitud.numero}"
                    target="#{consultaInformacionSolicitud.numeroRadicacion}" />
            </p:commandLink>

            <h:outputLabel value="Fecha solicitud:" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{solicitudCanSusAmplTiempos.avaluo.tramite.solicitud.fecha}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                   type="date" />
            </h:outputText>

            <h:outputLabel value="Tipo trámite:" styleClass="outputLabelStyle" />
            <h:outputText id="AvaluosComercialesTipoTramite-1"
                          styleClass="outputTextStyle"
                          value="#{solicitudCanSusAmplTiempos.avaluo.tramite.tipoTramite}">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite-1" />
            </h:outputText>


            <h:outputLabel value="Sec. radicado" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{solicitudCanSusAmplTiempos.avaluo.secRadicado}">
                <f:setPropertyActionListener
                    value="#{solicitudCanSusAmplTiempos.avaluo.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid columns="3" cellspacing="7">

        <p:commandButton icon="ui-icon-pause" value="Solicitar suspensión"
                         action="#{solicitudCanSusAmplTiempos.cargarDialogoSuspencion}"
                         update=":creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         creacionSolicitidudSuspensionCancelacionAmpliacionTiemposWV.show();" />

        <p:commandButton icon="ui-icon-stop" value="Solicitar cancelación"
                         action="#{solicitudCanSusAmplTiempos.cargarDialogoCancelacion}"
                         update=":creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         creacionSolicitidudSuspensionCancelacionAmpliacionTiemposWV.show();" />

        <p:commandButton icon="ui-icon-calendar"
                         value="Solicitar ampliación de tiempo"
                         action="#{solicitudCanSusAmplTiempos.cargarDialogoAmpliacionTiempos}"
                         update=":creacionSolicitudSuspencionCancelacionAmpliacionTiemposForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         creacionSolicitidudSuspensionCancelacionAmpliacionTiemposWV.show();" />

    </h:panelGrid>

</h:form>